class Utils : Valide.Utils
{
  public static Gtk.Image getSymbol(string type)
  { 
    return new Gtk.Image.from_pixbuf(get_symbol_pixbuf(type));
  }

 /**
  *
  *
  */
  public static void setImageTo(Gtk.Image img, string stock, Gtk.IconSize size = Gtk.IconSize.MENU)
  {
    img.set_from_stock(stock,size);
  }

  /**
   * Checks if the specific path is a file or not.
   * @return the folder
   */
  public static string getFolder(string path)
  {
    //check if it is directory or file -> make it to directory
    var tmp = File.new_for_path(path);
    if (tmp.query_file_type(0,null) != FileType.DIRECTORY)
    {
      return tmp.get_parent().get_path();
    }

    return path;
  }
}

